Show / Hide Table of Contents

# Class ContentFinderCondition

##### Inheritance

System.Object
ContentFinderCondition

##### Implements

Lumina.Excel.IExcelRow

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data.TransientSheet

###### Assembly: Dalamud.dll

##### Syntax

    [Sheet("ContentFinderCondition")]
    public class ContentFinderCondition : IExcelRow

### Fields

| Improve this Doc View Source

#### AcceptClassJobCategory

##### Declaration

    public byte AcceptClassJobCategory

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AllianceRoulette

##### Declaration

    public bool AllianceRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ClassJobLevelRequired

##### Declaration

    public byte ClassJobLevelRequired

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClassJobLevelSync

##### Declaration

    public byte ClassJobLevelSync

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Content

##### Declaration

    public ushort Content

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ContentLinkType

##### Declaration

    public byte ContentLinkType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ContentMemberType

##### Declaration

    public byte ContentMemberType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ContentType

##### Declaration

    public byte ContentType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DailyFrontlineChallenge

##### Declaration

    public bool DailyFrontlineChallenge

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ExpertRoulette

##### Declaration

    public bool ExpertRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GuildHestRoulette

##### Declaration

    public bool GuildHestRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Icon

##### Declaration

    public uint Icon

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Image

##### Declaration

    public uint Image

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemLevelRequired

##### Declaration

    public ushort ItemLevelRequired

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ItemLevelSync

##### Declaration

    public ushort ItemLevelSync

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Level5060Roulette

##### Declaration

    public bool Level5060Roulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Level70Roulette

##### Declaration

    public bool Level70Roulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LevelingRoulette

##### Declaration

    public bool LevelingRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MentorRoulette

##### Declaration

    public bool MentorRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MSQRoulette

##### Declaration

    public bool MSQRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### NormalRaidRoulette

##### Declaration

    public bool NormalRaidRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ShortCode

##### Declaration

    public string ShortCode

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SortKey

##### Declaration

    public ushort SortKey

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### TerritoryType

##### Declaration

    public ushort TerritoryType

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Transient

##### Declaration

    public uint Transient

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TransientKey

##### Declaration

    public byte TransientKey

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TrialRoulette

##### Declaration

    public bool TrialRoulette

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown10

##### Declaration

    public bool unknown10

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown11

##### Declaration

    public bool unknown11

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown13

##### Declaration

    public bool unknown13

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown15

##### Declaration

    public bool unknown15

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown16

##### Declaration

    public bool unknown16

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown17

##### Declaration

    public bool unknown17

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown18

##### Declaration

    public bool unknown18

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown19

##### Declaration

    public bool unknown19

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1a

##### Declaration

    public bool unknown1a

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1b

##### Declaration

    public bool unknown1b

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1c

##### Declaration

    public bool unknown1c

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1d

##### Declaration

    public bool unknown1d

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1e

##### Declaration

    public bool unknown1e

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown1f

##### Declaration

    public bool unknown1f

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown20

##### Declaration

    public bool unknown20

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown21

##### Declaration

    public bool unknown21

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown22

##### Declaration

    public bool unknown22

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown23

##### Declaration

    public bool unknown23

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown24

##### Declaration

    public bool unknown24

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown25

##### Declaration

    public bool unknown25

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown26

##### Declaration

    public bool unknown26

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown27

##### Declaration

    public bool unknown27

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown28

##### Declaration

    public bool unknown28

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown29

##### Declaration

    public bool unknown29

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown2a

##### Declaration

    public bool unknown2a

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown30

##### Declaration

    public uint unknown30

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### unknown34

##### Declaration

    public uint unknown34

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### unknown4c

##### Declaration

    public ushort unknown4c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown55

##### Declaration

    public byte unknown55

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown58

##### Declaration

    public byte unknown58

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown59

##### Declaration

    public byte unknown59

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown5a

##### Declaration

    public byte unknown5a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown5d

##### Declaration

    public byte unknown5d

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown60

##### Declaration

    public sbyte unknown60

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### unknownd

##### Declaration

    public bool unknownd

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknowne

##### Declaration

    public bool unknowne

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknownf

##### Declaration

    public bool unknownf

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UnlockQuest

##### Declaration

    public uint UnlockQuest

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Properties

| Improve this Doc View Source

#### AllowReplacement

##### Declaration

    public bool AllowReplacement { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### AllowUndersized

##### Declaration

    public bool AllowUndersized { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DutyRecorderAllowed

##### Declaration

    public bool DutyRecorderAllowed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### HighEndDuty

##### Declaration

    public bool HighEndDuty { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PvP

##### Declaration

    public bool PvP { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RowId

##### Declaration

    public int RowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SubRowId

##### Declaration

    public int SubRowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### unknown61_10

##### Declaration

    public bool unknown61_10 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown61_20

##### Declaration

    public bool unknown61_20 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown61_40

##### Declaration

    public bool unknown61_40 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown61_8

##### Declaration

    public bool unknown61_8 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_1

##### Declaration

    public bool unknown62_1 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_10

##### Declaration

    public bool unknown62_10 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_2

##### Declaration

    public bool unknown62_2 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_20

##### Declaration

    public bool unknown62_20 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_4

##### Declaration

    public bool unknown62_4 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### unknown62_40

##### Declaration

    public bool unknown62_40 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### PopulateData(RowParser, Lumina)

##### Declaration

    public void PopulateData(RowParser parser, Lumina lumina)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Excel.RowParser | parser |
Lumina.Lumina | lumina |

### Implements

Lumina.Excel.IExcelRow